"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanCookies = scanCookies;
const detectorUtils_1 = require("../utils/detectorUtils");
function scanCookies(cookies, options) {
    const issues = [];
    Object.entries(cookies).forEach(([key, value]) => {
        (0, detectorUtils_1.checkDetectors)(key, key, issues, options, true); // Scan cookie keys
        (0, detectorUtils_1.checkDetectors)(value, key, issues, options); // Scan cookie values
    });
    return issues;
}
//# sourceMappingURL=scanCookies.js.map