"use strict";
// scanHeaders.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.scanHeaders = scanHeaders;
const detectorUtils_1 = require("../utils/detectorUtils");
function scanHeaders(headers, options) {
    const issues = [];
    const { keys, values } = options;
    Object.entries(headers).forEach(([key, value]) => {
        if (keys) {
            (0, detectorUtils_1.checkDetectors)(key, key, issues, options, true); // Scan header keys
        }
        if (values) {
            (0, detectorUtils_1.checkDetectors)(value, key, issues, options); // Scan header values
        }
    });
    return issues;
}
//# sourceMappingURL=scanHeaders.js.map